---@meta
---@class Timer
---@field Cancel fun(self: Timer): nil
---@field IsCancelled fun(self: Timer): boolean

---@class C_Timer
C_Timer = {
	---@param seconds number
	---@param callback function
	---@return Timer
	---@overload fun(seconds: number, callback: function, iterations: number)
	NewTimer = function(seconds, callback) end,
	---@param seconds number
	---@param callback function
	---@return Timer
	---@overload fun(seconds: number, callback: function, iterations: number)
	NewTicker = function(seconds, callback) end,
}
